Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezgroupeventcalendar/admin/datasupplier.php
Go to the documentation of this file.
1 <?
4 switch ( $url_array[2] )
5 {
6 case "typelist":
7 {
8 include( "kernel/ezgroupeventcalendar/admin/typelist.php" );
9 }
10 break;
11
12 case "typeedit" :
13 {
14 if ( $url_array[3] == "edit" )
15 {
16 $Action = "Edit";
17 $TypeID = $url_array[4];
18 }
19 else if ( $url_array[3] == "delete" )
20 {
21 $Action = "Delete";
22 $TypeID = $url_array[4];
23 }
24 else if ( $url_array[3] == "new" )
25 {
26 $Action = "New";
27 }
28
29 include( "kernel/ezgroupeventcalendar/admin/typeedit.php" );
30 }
31 break;
32
33 case "categorylist":
34 {
35 include( "kernel/ezgroupeventcalendar/admin/categorylist.php" );
36 }
37 break;
38
39 case "categoryedit" :
40 {
41 if ( $url_array[3] == "edit" )
42 {
43 $Action = "Edit";
44 $CategoryID = $url_array[4];
45 }
46 else if ( $url_array[3] == "delete" )
47 {
48 $Action = "Delete";
49 $CategoryID = $url_array[4];
50 }
51 else if ( $url_array[3] == "new" )
52 {
53 $Action = "New";
54 }
55
56 include( "kernel/ezgroupeventcalendar/admin/categoryedit.php" );
57 }
58 break;
59
60 case "grpdspl" :
61 {
62 include( "kernel/ezgroupeventcalendar/admin/groupdisplay.php" );
63 }
64 break;
65
66 case "editor" :
67 {
68 switch ( $url_array[3] )
69 {
70 case "edit" :
71 {
72 $Action = "Edit";
73 $GroupID = $url_array[4];
74 include( "kernel/ezgroupeventcalendar/admin/groupeditor.php" );
75 }
76 break;
77
78 case "" :
79 {
80 $Action = "Display";
81 include( "kernel/ezgroupeventcalendar/admin/groupeditor.php" );
82 }
83 break;
84 }
85 }
86 break;
87
88 default :
89 {
90 // go to default module page or show an error message
91 print( "Error: your page request was not found" );
92 }
93 }
94
95 ?>
$CategoryID
$CategoryID
Definition: admin/articleedit.php:53
$Action
$Action
Definition: companysearch.php:80
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$GroupID
$GroupID
Definition: rssheadlines.php:51
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.